Summary:        Library for Neighbor Discovery Protocol
Name:           libndp
Version:        1.8
Release:        6%{?dist}
License:        LGPLv2+
URL:            http://www.libndp.org/
Source:         http://www.libndp.org/files/libndp-%{version}.tar.gz

BuildRequires:  gcc make

%description
This libndp contains a library which provides a wrapper for IPv6 Neighbor Discovery Protocol.
It also provides a tool named ndptool for sending and receiving NDP messages.

 
%package       devel
Summary:       Libraries and header files for libndp development
Requires:      libndp = %{version}-%{release}

%description   devel
The libndp-devel package contains the header files and libraries
necessary for developing programs using libndp.


%prep
%setup -q


%build
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name \*.la -delete

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license COPYING
%{_libdir}/*so.*
%{_bindir}/ndptool
%{_mandir}/man8/ndptool.8*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 18 2022 jackbertluo <jackbertluo@tencent.com> - 1.8-1
- Initial build
